
#setwd("D:/R/")    
library(foreign)
kotit2.dat<-read.spss("EK2011r.sav", to.data.frame=TRUE)
attach(kotit2.dat)

# Suluissa olevan 1:n tilalle oma opiskelijanumero

set.seed(518434)

# 1000 kokoinen otos

oma.otos<-kotit2.dat[sample(nrow(kotit2.dat), 1000), ]
attach(oma.otos)

 

table(d2)
table(d4)
table(k23)


# Kolmen muuttujan taulu 

 
mytable <- table(d2,d4,k23) 
ftable(mytable)
mytable


# loglineaarinen mallitus

library(MASS)

mytable <- xtabs(~d2+d4+k23, data=oma.otos)

# t?ydellinen riippumattomuus

loglm(~d2+d4+k23, mytable)

# d2 riippumaton muuttujaparista

loglm(~d2+d4+k23+d4*k23, mytable)

# d4 riippumaton muuttujaparista

loglm(~d2+d4+k23+d2*k23, mytable)

# k23 riippumaton muuttujaparista

loglm(~d2+d4+k23+d2*d4, mytable)

#ehdollinen riippumattomuusmalli: d4 ja k23 riippumattomia

loglm(~d2+d4+k23+d2*d4+d2*k23, mytable)

#ehdollinen riippumattomuusmalli: d2 ja d4 riippumattomia

loglm(~d2+d4+k23+d2*k23+d2*k23, mytable)

#ehdollinen riippumattomuusmalli: d2 ja k23 riippumattomia

loglm(~d2+d4+k23+d2*d4+d4*k23, mytable)

#parittaisten riippuvuuksien malli

loglm(~d2+d4+k23+d2*d4+d4*k23+d2*k23, mytable)


taulu1 <- table(d2,d4)  
prop.table(taulu1, 1) 

taulu2 <- table(d2,k23)  
prop.table(taulu2, 1) 

taulu3 <- table(d4,k23)  
prop.table(taulu3, 1) 
